### Function

# Vips Image matrix_from_array

#### Declaration [src]

    VipsImage*
    vips_image_matrix_from_array (
      int width,
      int height,
      const double* array,
      int size
    )

#### Description [src]

A renamed `vips_image_new_matrix_from_array()`. Some gobject bindings do not like more than one _new method.

This function is not directly available to language bindings.

#### Parameters

`width`

  Type: `int`

  Image width.

`height`

  Type: `int`

  Image height.

`array`

  Type: An array of `double`

  Array of elements.

  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the function.

`size`

  Type: `int`

  Number of elements.

#### Return value

Type: `VipsImage`

The new `VipsImage`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.